Skip to content

Settles transactions

Request

POST {{baseURL}}/pay-api/v1/transactions/settle

This endpoint settles, or completes, a transaction.

A settlement transaction is the step in the payment process when an authorized transaction is finalized. The funds are transferred to the merchant's acquiring bank.

See Also:
To authorize a transaction, see POST /pay-api/v1/transactions/auth
To refund a settled transaction, see POST /pay-api/v1/transactions/return

Security
Bearer
Bodyapplication/json
paymentProcessorIdstring, (uuid)required

Specifies the payment processor identifier.

Example: 8f5a4c27-71c4-4b5d-944e-8bb457594d86

Example:"8f5a4c27-71c4-4b5d-944e-8bb457594d86"
curl -i -X POST \
  https://developer.flute.com/_mock/api-reference/pay-api/v1/transactions/settle \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "paymentProcessorId": "b72b54b3-de02-430c-80c3-2908167d817c"
  }'

Responses

OK

Bodyapplication/json
codeinteger, (int32)

A vendor independent response code.

Valid values are:

ValueNameDescription
0ApproveOperation fully or partially approved.
1DeclineOperation declined.
2ErrorSomething prevents to complete the operation. Request format is wrong, or system error, or any other reason that prevented normal processing.

Example: 0

Example:0
messagestring or null

Free-form result description.

processorResponseCodestring or null

Processor-specific response code that precisely describes the operation result.

Response
{ "code": 0, "message": "string", "processorResponseCode": "string" }